#ifndef MOJEOKNO_H
#define MOJEOKNO_H

#include <QMainWindow>
#include <QTreeWidgetItem>
#include <QTableWidgetItem>

namespace Ui {
class MojeOkno;
}

class MojeOkno : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MojeOkno(QWidget *parent = 0);
    ~MojeOkno();

private:
    int limit;
    int z [8][8];
    //  #include <QTreeWidgetItem>
    QTreeWidgetItem * branch;
    void skoc (int x0, int y0, int n, int x, int y);

    
private slots:
    void on_actionRun_triggered();

    void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);

private:
    Ui::MojeOkno *ui;
};

class MyNode : public QTreeWidgetItem
{
   public:
      QTableWidgetItem * pole [8][8];
};

#endif // MOJEOKNO_H
